package cn.gintone.dto;

import java.util.Map;

/**
 * 加密信息
 */
public class EncInfo {
    private String privateKey;
    private Map<String, Object> info;

    private String sysAbbre; // 系统简称


    public String getPrivateKey() {
        return privateKey;
    }

    public void setPrivateKey(String privateKey) {
        this.privateKey = privateKey;
    }

    public Map<String, Object> getInfo() {
        return info;
    }

    public void setInfo(Map<String, Object> info) {
        this.info = info;
    }

    public String getSysAbbre() {
        return sysAbbre;
    }

    public void setSysAbbre(String sysAbbre) {
        this.sysAbbre = sysAbbre;
    }

    @Override
    public String toString() {
        return "EncInfo{" +
                "privateKey='" + privateKey + '\'' +
                ", info=" + info +
                ", sysAbbre='" + sysAbbre + '\'' +
                '}';
    }
}
